Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class TemplateException

    java.lang.Object
      BirtException
          org.eclipse.birt.report.model.api.ModelException
              org.eclipse.birt.report.model.api.activity.SemanticException
                  org.eclipse.birt.report.model.api.command.TemplateException

    public class TemplateException

extends SemanticException

Reports an error during a template related operation.

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_CREATE_TEMPLATE_ELEMENT_FORBIDDEN` The current report item or data set or template element is not in the design, it can not do any transformation.
`static java.lang.String` | `DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT_TYPE` Only report items and data sets can be transformed to template elements, other types of element are not supported.
`static java.lang.String` | `DESIGN_EXCEPTION_REVERT_TO_TEMPLATE_FORBIDDEN` The current element is not a template data set or the template data set has no template definition.
`static java.lang.String` | `DESIGN_EXCEPTION_TEMPLATE_ELEMENT_NOT_SUPPORTED` Template elements are not supported by libraries.
`static java.lang.String` | `DESIGN_EXCEPTION_TRANSFORM_TO_DATA_SET_FORBIDDEN` The current element is not a template data set or the template data set has no template definition.
`static java.lang.String` | `DESIGN_EXCEPTION_TRANSFORM_TO_REPORT_ITEM_FORBIDDEN` The current element is not a template report item or the template report item has no template definition.

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Constructor Summary
`TemplateException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String errCode)` Constructs the exception with focus elementand error code.
`TemplateException(org.eclipse.birt.report.model.core.DesignElement element, java.lang.String[] values, java.lang.String errCode)` Constructor.

Method Summary
`java.lang.String` | `getLocalizedMessage()`

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT_TYPE

    public static final java.lang.String DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT_TYPE

  Only report items and data sets can be transformed to template elements, other types of element are not supported.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_TEMPLATE_ELEMENT_NOT_SUPPORTED

    public static final java.lang.String DESIGN_EXCEPTION_TEMPLATE_ELEMENT_NOT_SUPPORTED

  Template elements are not supported by libraries.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_TRANSFORM_TO_REPORT_ITEM_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_TRANSFORM_TO_REPORT_ITEM_FORBIDDEN

  The current element is not a template report item or the template report item has no template definition.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_TRANSFORM_TO_DATA_SET_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_TRANSFORM_TO_DATA_SET_FORBIDDEN

  The current element is not a template data set or the template data set has no template definition.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_REVERT_TO_TEMPLATE_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_REVERT_TO_TEMPLATE_FORBIDDEN

  The current element is not a template data set or the template data set has no template definition.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_CREATE_TEMPLATE_ELEMENT_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_CREATE_TEMPLATE_ELEMENT_FORBIDDEN

  The current report item or data set or template element is not in the design, it can not do any transformation.

  See Also:
    Constant Field Values

Constructor Detail

### TemplateException

    public TemplateException(org.eclipse.birt.report.model.core.DesignElement element,
                             java.lang.String errCode)

  Constructs the exception with focus elementand error code.

  Parameters:
    `element` - The design element of this exception focuses.
    `errCode` - What went wrong.

### TemplateException

    public TemplateException(org.eclipse.birt.report.model.core.DesignElement element,
                             java.lang.String[] values,
                             java.lang.String errCode)

  Constructor.

  Parameters:
    `element` - the element which has errors
    `values` - value array used for error message
    `errCode` - the error code

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.